Get list of charges

The Get list of charges method returns the list of charges of the current reseller or any of its downstream resellers.

XML
GET {base_url}/api/v3/resellers/{reseller_id}/charges

Arguments

Name

Parameter Type

Data type

Required/ 
Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

page[size]

query

integer

Optional

Page navigation: number of elements per page. The default value is 50

page[number]

query

integer

Optional

Page navigation: page number

filter[close_date]

query

string

Optional

Filtering charges by the close date in the YYYY-MM-DD format. To specify the period, the following filters are used:

  • filter[close_date][gt] — close date is greater than the specified date.

  • filter[close_date][lt] — close date is less than the specified date.

filter[subscription_id]

query

integer

Optional

Filtering charges by the subscription ID

filter[status]

query

string

Optional

Filtering charges by the status (for the list of charge statuses, see


)

filter[created_at]

query

string

Optional

Filtering charges by the date and time of the charge creation in the YYYY-MM-DDTHH:MM:SS format for the platform time zone or in the specified time zone (for example, YYYY-MM-DDTHH:MM:SSZ for UTC, see RFC 3339). To specify the period, the following filters are used:

  • filter[created_at][gt] — date and time are greater than the specified.

  • filter[created_at][lt] — date and time are less than the specified.

filter[updated_at]

query

string

Optional

Filtering charges by the date and time when the charge was updated in the YYYY-MM-DDTHH:MM:SS format for the platform time zone or in the specified time zone (for example, YYYY-MM-DDTHH:MM:SSZ for UTC, see RFC 3339). To specify the period, the following filters are used:

  • filter[updated_at][gt] — date and time are greater than the specified.

  • filter[updated_at][lt] — date and time are less than the specified.

filter[plan_class_ids]

query

string

Optional

Filtering charges by the service term ID (see


). Several IDs must be separated by a comma

filter[billing_date]

query

string

Optional

Filtering closed charges by the start date of the related billing period in the YYYY-MM-DD format

include

query

string

Optional

Returns additional information about objects related to charges. The parameter can be a comma-separated list if information about several objects is required. The following objects and possible values are supported:

Object

Parameter value

Reseller

reseller

Account

account

Subscription

subscription

Plan

plan

Taxes

taxes

Order (except for PAYG subscriptions)

order

Discount of the Reseller type

reseller_discount

Response model

Name

Data type

Description

data

array

Response data


id

string

ID of the charge


type

string

Data type


attributes

object

Information about the charge



created_at

string

Date and time of the charge creation



updated_at

string

Date and time when the charge was updated



subscription_id

integer

ID of the customer's subscription



subscription_resource_id

integer

ID of the resource in the customer's subscription



operate_from

string

The start date of the period paid by the charge (YYYY-MM-DD)



description

string

Charge details description



unit_price

string

The unit price of the service or resource in the plan currency



amount

string

The amount of the charge (taxes included) in the reseller currency



status

string

Status of the charge (for the list of charge statuses, see


)



type

string

Type of the charge (see also )

  • Charge::Setup — a non-recurring charge for service setup.

  • Charge::Recurring — a monthly charge for service usage.

  • Charge::RecurringResource — a monthly charge for resource usage.

  • Charge::Renewal — a non-recurring charge for service renewal.

  • Charge::RenewalResource — a non-recurring charge for resource renewal.

  • Charge::ExternalResource — an accumulative charge based on the consumed resources records.

  • Charge::SetupResource — a non-recurring charge for resource setup.

  • Charge::Transfer — a non-recurring charge for subscription transfer.



net_cost

string

The net cost of the charge in the reseller currency calculated as follows:

net_cost = cost × duration × quantity × net_cost_currency_rate / net_cost_currency_unit

where cost is the net cost of a resource or period in the plan for the corresponding charge type considering the Reseller discount (if applied)



tax_is_calculated_using

string

The Tax is calculated using option in the system settings at the moment of the charge creation (see ):

  • net_prices — Plan prices without tax included — prices in the plan do not include taxes.

  • gross_prices — Plan prices with tax included — prices in the plan include taxes.



net_amount

string

The amount of the charge (taxes excluded) in the reseller currency



taxes_amount

string

The amount of taxes for the charge in the reseller currency



net_cost_original

string

The net cost of the charge in the plan currency:

net_cost_original = cost × duration × quantity

where cost is the net cost of a resource or period in the plan for the corresponding charge type considering the Reseller discount (if applied)



net_cost_currency_rate

string

The exchange rate from the reseller currency to the plan currency used to calculate the charge net cost



net_cost_currency_unit

integer

The currency units used for the exchange rate to calculate the charge net cost



unit_price_currency

string

The plan currency code for the unit price



quantity

number

The number of ordered services or resources



duration

number

Period of the charge (in months). For example, 1 day = 0.033, 2 years = 24



subscription_resource_name

string

Name of the resource in the customer's subscription



plan_resource_id

integer

Name of the resource in the customer's plan



resource_id

integer

ID of the resource



order_id

integer

ID of the order



operate_to

string

The finish date of the period paid by the charge (YYYY-MM-DD)



close_date

string

The close date of the charge (YYYY-MM-DD)



billing_date

string

Start date of the billing period related to a closed charge (YYYY-MM-DD)



application_template_key

string

Key of the application template linked to the subscription (see


)



additional_params

array of objects




discount

string

The amount of the discount for the charge in the reseller currency



original_amount

string

The amount of the charge in the plan currency



original_amount_currency

string

The plan currency code for the charge amount



currency_rate

string

The exchange rate from the reseller currency to the plan currency used to calculate the charge amount



currency_unit

integer

The currency units used for the exchange rate to calculate the charge amount



net_cost_original_currency

string

The plan currency code for the charge net cost


relationships

object

Related objects



taxes

object

Taxes information




data

array of objects

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



reseller

object

Reseller information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



account

object

Account information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



subscription

object

Subscription information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



plan

object

Plan information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



plan_resource

object

Plan resource information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



discount

object

Discount information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



reseller_discount

object

Reseller discount information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



order

object

Order information




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type

included

array

Additional information about objects listed in the request:

Name

Data type

Description

id

string

ID of the object

type

string

Data type

attributes

object

Attributes of the object (see details below)

Name

Data type

Description

id

string

ID of the subscription

type

string

Data type

attributes

object

Subscription details


created_at

string

Date and time of the subscription creation


updated_at

string

Date and time when the subscription was updated


auto_renewal

bool

The automatic subscription renewal option:

  • true — the automatic subscription renewal is enabled.

  • false — the automatic subscription renewal is off.


billing_from

string

The start date of generating charges for the subscription (YYYY-MM-DD)


expiration_date

string

The expiration date of the subscription (YYYY-MM-DD)


name

string

Name of the subscription 


auto_renew_point_days

integer

Auto-renew point (in days)


start_date

string

The date of activation of the subscription (YYYY-MM-DD)


status

string

Status of the subscription (for the list of subscription statuses, see )


payment_model

string

Subscription payment model:

  • prepay

  • postpay


payment_model_parameters

object

Payment model parameters



credit_limit

number

The value of the subscription debt, above which the postpaid subscription will be stopped. For postpaid subscriptions only (payment_model = postpay)



current_debt

number

The subscription debt that is calculated as the total amount of all blocked charges for the subscription for the current billing period. For postpaid subscriptions only (payment_model = postpay)

  • For every tax used to calculate the charge:

    Name

    Data type

    Description

    id

    string

    The tax ID

    type

    string

    Data type

    attributes

    object

    Tax details


    created_at

    string

    Date and time of the tax creation


    updated_at

    string

    Date and time when the tax was updated


    charge_id

    integer

    The ID of the related charge


    origin_id

    integer

    The tax ID in the taxation module


    name

    string

    The tax name


    code

    string

    The tax code


    rate

    number

    The tax rate percentage


    amount

    string

    The tax amount in the reseller currency calculated for net_amount of the charge

  • For the discount of the Reseller type:

    Name

    Data type

    Description

    id

    string

    The discount ID

    type

    string

    Data type

    attributes

    object

    Discount details


    created_at

    string

    Date and time of the discount creation


    updated_at

    string

    Date and time when the discount was updated


    status

    string

    The discount name


    type

    string

    The discount type


    percentage

    string

    The discount percentage


    duration_from

    string

    The discount start date


    duration_to

    string

    The discount end date

links

array

Page navigation links that use the defined page navigation parameters


self

string

Current page link


first

string

First page link


prev

string

Previous page link


next

string

Next page link


last

string

Last page link

meta

object

Additional information about the charge


currency

string

Reseller currency code

Request example

XML
GET /api/v3/resellers/545/charges?page[size]=2&page[number]=3113
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": [
        {
            "id": "190037",
            "type": "charges",
            "attributes": {
                "created_at": "2025-06-10T11:44:27.324909+0300",
                "updated_at": "2025-06-10T11:49:53.979192+0300",
                "subscription_id": 3018327,
                "subscription_resource_id": 67259,
                "operate_from": "2026-05-01",
                "description": "Upgrade resource (recurring fee) \"Microsoft 365 E3 (no Teams)\" for Subscription #3018327 \"Microsoft 365 E3 (no Teams)\"",
                "unit_price": "2.0",
                "amount": "18.7",
                "status": "deleted",
                "type": "Charge::Recurring",
                "net_cost": "18.7",
                "net_amount": "17.0",
                "taxes_amount": "1.7",
                "unit_price_currency": "USD",
                "quantity": 10.0,
                "duration": 1.0,
                "subscription_resource_name": "Microsoft 365 E3 (no Teams)",
                "plan_resource_id": 31622,
                "resource_id": 16873,
                "order_id": 35776,
                "operate_to": "2026-05-31",
                "close_date": "2026-05-31",
                "billing_date": null,
                "application_template_key": "",
                "additional_params": [
                    {
                        "tenant_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "tenant_name": "demoNewAcc.onmicrosoft.com",
                        "subscription_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "order_id": "CFQ7TTC0LFLX",
                        "alternate_id": "CFQ7TTC0LFLX",
                        "activation_link": null,
                        "product_id": "CFQ7TTC0LFLX",
                        "sku_id": "0021",
                        "term_duration": "P1Y",
                        "billing_cycle": "annual"
                    }
                ],
                "discount": "3.00",
                "original_amount": "18.7",
                "original_amount_currency": "USD",
                "currency_rate": "1.0",
                "currency_unit": 1,
                "net_cost_original": "18.7",
                "net_cost_currency_rate": "1.0",
                "net_cost_currency_unit": 1,
                "net_cost_original_currency": "USD",
                "tax_is_calculated_using": "net_prices"
            },
            "relationships": {
                "taxes": {
                    "data": [
                        {
                            "id": "17951",
                            "type": "taxes"
                        }
                    ]
                },
                "reseller": {
                    "data": {
                        "id": "545",
                        "type": "resellers"
                    }
                },
                "account": {
                    "data": {
                        "id": "2814",
                        "type": "accounts"
                    }
                },
                "subscription": {
                    "data": {
                        "id": "3018327",
                        "type": "subscriptions"
                    }
                },
                "plan": {
                    "data": {
                        "id": "26163",
                        "type": "plans"
                    }
                },
                "plan_resource": {
                    "data": {
                        "id": "31622",
                        "type": "plan_resources"
                    }
                },
                "discount": {
                    "data": {
                        "id": "360",
                        "type": "discounts"
                    }
                },
                "reseller_discount": {
                    "data": {
                        "id": "361",
                        "type": "discounts"
                    }
                },
                "order": {
                    "data": {
                        "id": "35776",
                        "type": "sales_orders"
                    }
                }
            }
        },
        {
            "id": "190038",
            "type": "charges",
            "attributes": {
                "created_at": "2025-06-10T11:44:27.332400+0300",
                "updated_at": "2025-06-10T11:49:53.988693+0300",
                "subscription_id": 3018327,
                "subscription_resource_id": 67259,
                "operate_from": "2026-06-01",
                "description": "Upgrade resource (recurring fee) \"Microsoft 365 E3 (no Teams)\" for Subscription #3018327 \"Microsoft 365 E3 (no Teams)\"",
                "unit_price": "2.0",
                "amount": "5.61",
                "status": "deleted",
                "type": "Charge::Recurring",
                "net_cost": "5.61",
                "net_amount": "5.1",
                "taxes_amount": "0.51",
                "unit_price_currency": "USD",
                "quantity": 10.0,
                "duration": 0.3,
                "subscription_resource_name": "Microsoft 365 E3 (no Teams)",
                "plan_resource_id": 31622,
                "resource_id": 16873,
                "order_id": 35776,
                "operate_to": "2026-06-09",
                "close_date": "2026-06-30",
                "billing_date": null,
                "application_template_key": "",
                "additional_params": [
                    {
                        "tenant_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "tenant_name": "demoNewAcc.onmicrosoft.com",
                        "subscription_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "order_id": "CFQ7TTC0LFLX",
                        "alternate_id": "CFQ7TTC0LFLX",
                        "activation_link": null,
                        "product_id": "CFQ7TTC0LFLX",
                        "sku_id": "0021",
                        "term_duration": "P1Y",
                        "billing_cycle": "annual"
                    }
                ],
                "discount": "0.90",
                "original_amount": "5.61",
                "original_amount_currency": "USD",
                "currency_rate": "1.0",
                "currency_unit": 1,
                "net_cost_original": "5.61",
                "net_cost_currency_rate": "1.0",
                "net_cost_currency_unit": 1,
                "net_cost_original_currency": "USD",
                "tax_is_calculated_using": "net_prices"
            },
            "relationships": {
                "taxes": {
                    "data": [
                        {
                            "id": "17952",
                            "type": "taxes"
                        }
                    ]
                },
                "reseller": {
                    "data": {
                        "id": "545",
                        "type": "resellers"
                    }
                },
                "account": {
                    "data": {
                        "id": "2814",
                        "type": "accounts"
                    }
                },
                "subscription": {
                    "data": {
                        "id": "3018327",
                        "type": "subscriptions"
                    }
                },
                "plan": {
                    "data": {
                        "id": "26163",
                        "type": "plans"
                    }
                },
                "plan_resource": {
                    "data": {
                        "id": "31622",
                        "type": "plan_resources"
                    }
                },
                "discount": {
                    "data": {
                        "id": "360",
                        "type": "discounts"
                    }
                },
                "reseller_discount": {
                    "data": {
                        "id": "361",
                        "type": "discounts"
                    }
                },
                "order": {
                    "data": {
                        "id": "35776",
                        "type": "sales_orders"
                    }
                }
            }
        }
    ],
    "links": {
        "self": "https://test.activeplatform.com/api/v3/resellers/545/charges?page%5Bnumber%5D=3113&page%5Bsize%5D=2",
        "first": "https://test.activeplatform.com/api/v3/resellers/545/charges?page%5Bnumber%5D=1&page%5Bsize%5D=2",
        "prev": "https://test.activeplatform.com/api/v3/resellers/545/charges?page%5Bnumber%5D=3112&page%5Bsize%5D=2",
        "next": null,
        "last": "https://test.activeplatform.com/api/v3/resellers/545/charges?page%5Bnumber%5D=3113&page%5Bsize%5D=2"
    },
    "meta": {
        "currency": "USD"
    }
}